Bug 180216 - [NEW PORT] x11-fonts/alfont: Wrapper around the freetype2 library
Summary: [NEW PORT] x11-fonts/alfont: Wrapper around the freetype2 library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rusmir Dusko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-02 21:40 UTC by nemysis
Modified: 2014-01-26 21:10 UTC (History)
0 users

See Also:


Attachments
file.shar (3.80 KB, text/plain)
2013-07-02 21:40 UTC, nemysis
no flags Details
alfont.shar (3.70 KB, application/x-shar)
2013-07-03 23:39 UTC, nemysis
no flags Details
alfont.shar (3.73 KB, application/x-shar)
2013-07-06 09:58 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-07-02 21:40:00 UTC
alfont also known as AllegroFont or AlFont is a wrapper around the freetype2
library for use with the Allegro game library. Thus allowing the display of
text using freetype fonts on Allegro bitmaps.

WWW: http://opensnc.sourceforge.net/alfont/mirror/
WWW: http://opensnc.sourceforge.net/alfont/


Future Port games/opensurge reqires for build x11-fonts/alfont.

Fix: Please add attachment as x11-fonts/alfont

Shar is also on

https://github.com/nemysis/FreeBSD_Ports/blob/master/pr/x11-fonts/alfont.shar

Patch attached with submission follows:
How-To-Repeat: Build log

https://redports.org/buildarchive/20130702164801-16847/

depend (compiler_error in audio/jack)
Comment 1 nemysis 2013-07-03 23:39:50 UTC
Makefile changed that libraries good build,
and found by other Ports, needed for future Port games/opensurge
which now find all.

Build log

https://redports.org/buildarchive/20130703221100-37591/

depend (compiler_error in audio/jack)
Comment 2 nemysis 2013-07-06 09:58:53 UTC
- New world order USES: gmake
- Trim pkg-descr

Future Port games/opensurge now find all, and works great with
AllegroFont.
Comment 3 Martin Wilke freebsd_committer 2013-08-14 10:30:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemysis

submitter is now committer.
Comment 4 Rusmir Dusko freebsd_committer 2014-01-26 21:08:28 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 5 dfilter service freebsd_committer 2014-01-26 21:09:24 UTC
Author: nemysis
Date: Sun Jan 26 21:09:15 2014
New Revision: 341287
URL: http://svnweb.freebsd.org/changeset/ports/341287
QAT: https://qat.redports.org/buildarchive/r341287/

Log:
  AllegroFont is an Allegro wrapper for the wonderful FreeType2 library
  that makes Allegro (amongst other things) able to load and render TTF
  and many other famous font formats. Other feature is that it is able
  to render the fonts antialiased.
  
  WWW: http://opensnc.sourceforge.net/alfont/
  
  PR:		ports/180216
  Submitted by:	nemysis (self)

Added:
  head/x11-fonts/alfont/
  head/x11-fonts/alfont/Makefile   (contents, props changed)
  head/x11-fonts/alfont/distinfo   (contents, props changed)
  head/x11-fonts/alfont/pkg-descr   (contents, props changed)
Modified:
  head/x11-fonts/Makefile

Modified: head/x11-fonts/Makefile
==============================================================================
--- head/x11-fonts/Makefile	Sun Jan 26 21:01:24 2014	(r341286)
+++ head/x11-fonts/Makefile	Sun Jan 26 21:09:15 2014	(r341287)
@@ -4,6 +4,7 @@
     COMMENT = X11 fonts and font utilities
 
     SUBDIR += alegreya-sans
+    SUBDIR += alfont
     SUBDIR += andika
     SUBDIR += anonymous-pro
     SUBDIR += artwiz-aleczapka

Added: head/x11-fonts/alfont/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-fonts/alfont/Makefile	Sun Jan 26 21:09:15 2014	(r341287)
@@ -0,0 +1,86 @@
+# Created by: Rusmir Dusko <nemysis@FreeBSD.org>
+# $FreeBSD$
+
+PORTNAME=	alfont
+PORTVERSION=	209
+CATEGORIES=	x11-fonts
+MASTER_SITES=	http://opensnc.sourceforge.net/alfont/mirror/ \
+		SF/nemysisfreebsdp/${CATEGORIES}/${PORTNAME}/:nemysis
+#		http://opensnc.sourceforge.net/alfont/:opensnc
+DISTFILES=	AlFont${DISTVERSION}.rar \
+		alfont.c:nemysis
+DIST_SUBDIR=	${PORTNAME}
+EXTRACT_ONLY=	AlFont${DISTVERSION}.rar
+
+MAINTAINER=	nemysis@FreeBSD.org
+COMMENT=	Wrapper around the freetype2 library
+
+LICENSE=	FTL
+LICENSE_NAME=	The FreeType Project LICENSE (FTL)
+LICENSE_FILE=	${WRKSRC}/docs/FTL.txt
+LICENSE_PERMS=	auto-accept
+
+EXTRACT_DEPENDS=	unrar:${PORTSDIR}/archivers/unrar
+LIB_DEPENDS=	liballeg.so.4:${PORTSDIR}/devel/allegro \
+		libfreetype.so:${PORTSDIR}/print/freetype2
+
+WRKSRC=		${WRKDIR}/${PORTNAME}
+
+USES=		dos2unix gmake iconv
+USE_LDCONFIG=	yes
+
+CPPFLAGS+=	-Iinclude -I${LOCALBASE}/include \
+		-I${LOCALBASE}/include/freetype2 $$(freetype-config --cflags) -w
+LDFLAGS+=	-L${LOCALBASE}/lib -lalleg $$(freetype-config --libs)
+
+PLIST_FILES=	include/alfont.h \
+		include/alfontdll.h \
+		lib/libalfont.so.${MAJORVER} \
+		lib/libalfont.so
+
+PORTDOCS=	*
+
+DOCSRCDIR1=	${WRKSRC}
+DOC_FILES1=	CHANGES.txt README.txt
+
+DOCSRCDIR2=	${WRKSRC}/docs
+DOCSDIR2=	${DOCSDIR}/docs
+DOC_FILES2=	ALFONT.txt AUTHORS.txt
+
+OPTIONS_DEFINE=	DOCS
+
+MAJORVER=	${PORTVERSION:S/209/2.0.9/}
+
+do-extract:
+	@${MKDIR} ${WRKDIR}
+	@cd ${WRKDIR} && ${LOCALBASE}/bin/unrar x -y -idq \
+		${_DISTDIR}/AlFont${DISTVERSION}.rar
+
+post-patch:
+	@${CP} -af ${_DISTDIR}/alfont.c ${WRKSRC}/src
+
+	@${REINPLACE_CMD} \
+		-e 's|#define ALFONT_WINDOWS|//#define ALFONT_WINDOWS|' \
+		-e 's|//#define ALFONT_LINUX|#define ALFONT_LINUX|' \
+		${WRKSRC}/include/alfont.h
+
+do-build:
+	cd ${WRKSRC} ; ${CC} ${CPPFLAGS} -fPIC -DPIC -c src/alfont.c -o \
+		src/alfont.o
+	cd ${WRKSRC} ; ${CC} -shared ${LDFLAGS} src/alfont.o -o \
+		libalfont.so.${MAJORVER}
+
+do-install:
+	${INSTALL_DATA} ${WRKSRC}/libalfont.so.${MAJORVER} \
+		${STAGEDIR}${PREFIX}/lib
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/libalfont.so.${MAJORVER}
+	@(cd ${STAGEDIR}${PREFIX}/lib ; ${LN} -sf libalfont.so.${MAJORVER} \
+		libalfont.so)
+	${INSTALL_DATA} ${WRKSRC}/include/alfont*.h ${STAGEDIR}${PREFIX}/include
+
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${DOC_FILES1:S|^|${DOCSRCDIR1}/|} ${STAGEDIR}${DOCSDIR}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR2}
+	${INSTALL_DATA} ${DOC_FILES2:S|^|${DOCSRCDIR2}/|} ${STAGEDIR}${DOCSDIR2}
+
+.include <bsd.port.mk>

Added: head/x11-fonts/alfont/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-fonts/alfont/distinfo	Sun Jan 26 21:09:15 2014	(r341287)
@@ -0,0 +1,4 @@
+SHA256 (alfont/AlFont209.rar) = 734f7f9758dfb3b80979baf010245d931c9cd2a7557683906c7fc616353f960d
+SIZE (alfont/AlFont209.rar) = 3696983
+SHA256 (alfont/alfont.c) = 9d77d1ef5ce7d9c05e7e499d48d404aa51d2c2b3dd03fac7fd75c60e6adeb145
+SIZE (alfont/alfont.c) = 147045

Added: head/x11-fonts/alfont/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-fonts/alfont/pkg-descr	Sun Jan 26 21:09:15 2014	(r341287)
@@ -0,0 +1,6 @@
+AllegroFont is an Allegro wrapper for the wonderful FreeType2 library
+that makes Allegro (amongst other things) able to load and render TTF
+and many other famous font formats. Other feature is that it is able
+to render the fonts antialiased.
+
+WWW: http://opensnc.sourceforge.net/alfont/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"